IntelliLink Pro 多个跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110097 漏洞类型 跨站脚本
发布时间 2006-04-19 更新时间 2006-04-24
CVE编号 CVE-2006-1943 CNNVD-ID CNNVD-200604-393
漏洞平台 CGI CVSS评分 2.6
|漏洞来源
https://www.exploit-db.com/exploits/27686
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200604-393
|漏洞详情
SmarterScriptsIntelliLinkPro5.06及早期版本中存在多个跨站脚本漏洞。这使得远程攻击者可以借助于addlink_lwp.cgi中的(1)url参数及edit.cgi中的参数(2)id(3)forgotid和(4)forgotpass注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/17605/info
 
IntelliLink Pro is prone to multiple cross-site scripting vulnerabilities. These issues are due to a failure in the application to properly sanitize user-supplied input. 
 
An attacker may leverage these issues to have arbitrary script code executed in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

http://www.example.com/edit.cgi?id=[XSS]
http://www.example.com/edit.cgi?forgotid=[XSS]
http://www.example.com/edit.cgi?forgotpass=[XSS]
|参考资料

来源:BID
名称:17605
链接:http://www.securityfocus.com/bid/17605
来源:VUPEN
名称:ADV-2006-1409
链接:http://www.frsirt.com/english/advisories/2006/1409
来源:SECUNIA
名称:19701
链接:http://secunia.com/advisories/19701
来源:XF
名称:intellilink-multiple-xss(25929)
链接:http://xforce.iss.net/xforce/xfdb/25929
来源:OSVDB
名称:24733
链接:http://www.osvdb.org/24733
来源:OSVDB
名称:24732
链接:http://www.osvdb.org/24732
来源:MISC
链接:http://pridels0.blogspot.com/2006/04/intellilink-pro-xss-vuln.html